<?php  

$luzukSliderSingleChoice = getFitnessPostsType('slider');
$wp_customize->add_section(
    'slider_section',
    array(
        'title' => __( 'Slider Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel',
        'priority' =>18
    )
);
$wp_customize->add_setting(
    'slider_section_show_content',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'slider_section_show_content',
        array(
            'settings'      => 'slider_section_show_content',
            'section'       => 'slider_section',
            'label'         => __( 'Hide Title And Description On Slider', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'No', 'Luzuk' ),
                'off' => __( 'Yes', 'Luzuk' )
            ),
        )
    )
);
$wp_customize->add_setting('slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'slider_section_lbl',
        array(
            'settings'      => 'slider_section_lbl',
            'section'       => 'slider_section',
            'label'         => __( 'Note:', 'Luzuk' ),  
            'description'   => __( 'The page featured image works as a banner and the title & content work as a slider caption. You can add this from the Slider menu. <br/> Recommended Image Size: 1500X800', 'Luzuk' ),
        )
    )
);

lzCustomLable($wp_customize, 'luzuk_slirover', 'slider_section', 'Image Overlay & Opacity');

$wp_customize->add_setting(
    'slider_areaOpacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'slider_areaOpacity',
    array(
        'settings'      => 'slider_areaOpacity',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'sli_imgolyclr', 'slider_section', 'Image Overlay Color ', '#24345D');

lzCustomLable($wp_customize, 'luzuk_sliderotherclrs', 'slider_section', 'Box Overlay & Opacity');

$wp_customize->add_setting(
    'slider_boxOpacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.8', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'slider_boxOpacity',
    array(
        'settings'      => 'slider_boxOpacity',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'slider_bxbgClr', 'slider_section', 'Box BG Color', '#24345D');

lzCustomLable($wp_customize, 'luzuk_sliderclr', 'slider_section', 'Slider Color');

addColorPalatOption($wp_customize, 'slider_titleClr', 'slider_section', 'Title Color', '#fff');

addColorPalatOption($wp_customize, 'slider_txtClr', 'slider_section', 'Text Color', '#fff');


addColorPalatOption($wp_customize, 'slider_BtnicnClr', 'slider_section', 'Button Icon Color', '#FF7617');

addColorPalatOption($wp_customize, 'slider_BtnicnBGClr', 'slider_section', 'Button Icon BG Color', '#fff');

addColorPalatOption($wp_customize, 'slider_ButtontextColor', 'slider_section', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'slider_ButtontexthoverColor', 'slider_section', 'Button Text Hover Color', '#000');

addColorPalatOption($wp_customize, 'slider_Buttonibrd', 'slider_section', 'Button BG Color', '#FF7617');

addColorPalatOption($wp_customize, 'slider_Buttonibrdhv', 'slider_section', 'Button BG Hover Color', '#f1f1f1');


lzCustomLable($wp_customize, 'luzuk_sliderbutnclrs', 'slider_section', 'Slider Buttton Color ');


addColorPalatOption($wp_customize, 'sli_btnbgclr', 'slider_section', 'Slider Slide Button Line Color', '#fff');

addColorPalatOption($wp_customize, 'sli_btnarowhvclr', 'slider_section', 'Slider Slide Active Button Line Color', '#FF7617');
